<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.127.10.4.33
Name: SOAS Info
Description: Diese Beobachtung dient dazu, SOAS-spezifische Informationen zu einem HLA-Wert zu deklarieren. Für jeden HLA-Antikörper MUSS sowohl Center specific Avoid als auch Previous TX angegeben werden. Prev-Tx=true bedeutet, dass der betreffende HLA-Antikörper aufgrund einer früheren Transplantation gebildet wurde. Center specific Avoid=true bedeutet, dass aufgrund des betreffende HLA-Antikörpers von einer Transplantation abgesehen werden soll, auch wenn sein MFI-Wert noch im akzeptablen Bereich liegt.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000">
   <title>SOAS Info</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]
Item: (SOASInfo)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]
Item: (SOASInfo)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]"
         id="d19e5062-false-d34769e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="string(@classCode) = ('OBS')">(SOASInfo): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="string(@moodCode) = ('EVN')">(SOASInfo): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="not(@nullFlavor) or hl7:code[@code='002']">(SOASInfo): Nur bei Previous TX (code 002) kann der Wert unbekannt (nullFlavor) sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33']) &gt;= 1">(SOASInfo): element hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33']) &lt;= 1">(SOASInfo): element hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']) &gt;= 1">(SOASInfo): element hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']) &lt;= 1">(SOASInfo): element hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(SOASInfo): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(SOASInfo): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(SOASInfo): element hl7:statusCode[@code = 'completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(SOASInfo): element hl7:statusCode[@code = 'completed'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &gt;= 1">(SOASInfo): element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(SOASInfo): element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]/hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33']
Item: (SOASInfo)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]/hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33']"
         id="d19e5068-false-d34841e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SOASInfo): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="string(@root) = ('2.16.756.5.30.1.127.10.4.33')">(SOASInfo): The value for root SHALL be '2.16.756.5.30.1.127.10.4.33'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]/hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']
Item: (SOASInfo)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]/hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']"
         id="d19e5073-false-d34857e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SOASInfo): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="string(@root) = ('2.16.756.5.30.1.1.1.1.3.4.1')">(SOASInfo): The value for root SHALL be '2.16.756.5.30.1.1.1.1.3.4.1'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="string(@extension) = ('CDA-CH.LRTP.SOASInfo')">(SOASInfo): The value for extension SHALL be 'CDA-CH.LRTP.SOASInfo'. Found: "<value-of select="@extension"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (SOASInfo)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d19e5080-false-d34879e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SOASInfo): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.127.11.19-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(SOASInfo): The element value SHALL be one of '2.16.756.5.30.1.127.11.19 SOASInfo (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]/hl7:statusCode[@code = 'completed']
Item: (SOASInfo)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]/hl7:statusCode[@code = 'completed']"
         id="d19e5086-false-d34902e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SOASInfo): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="@nullFlavor or (@code='completed')">(SOASInfo): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.4.33
Context: *[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (SOASInfo)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]]/hl7:observation[hl7:templateId[@root = '2.16.756.5.30.1.127.10.4.33'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.SOASInfo']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d19e5091-false-d34919e0">
      <extends rule="BL"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180709T094947/tmp-2.16.756.5.30.1.127.10.4.33-2016-07-20T000000.html"
              test="@nullFlavor or ($xsiLocalName='BL' and $xsiLocalNS='urn:hl7-org:v3')">(SOASInfo): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:BL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
